textures/plants_soc/grass01a_back
{
	qer_editorimage textures/plants_soc/grass01a.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
   	{
		map textures/plants_soc/grass01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/plants_soc/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/plants_soc/grass01a
{
	qer_editorimage textures/plants_soc/grass01a.tga
	q3map_cloneShader textures/plants_soc/grass01a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
   	{
		map textures/plants_soc/grass01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/plants_soc/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/plants_soc/tree01_bark
{
	qer_editorimage textures/plants_soc/tree01_bark.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plants_soc/tree01_bark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/plants_soc/tree01_stump
{
	qer_editorimage textures/plants_soc/tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plants_soc/tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/plants_soc/tree01_leavesback
{
	qer_editorimage textures/plants_soc/tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/plants_soc/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/plants_soc/tree01_leaves
{
	qer_editorimage textures/plants_soc/tree01_leaves.tga
	q3map_cloneShader textures/plants_soc/tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/plants_soc/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

textures/plants_soc/alpha_000
{
	qer_editorimage textures/plants_soc/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/plants_soc/alpha_100
{
	qer_editorimage textures/plants_soc/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
